"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

var _makePostgresClient = _interopRequireDefault(require("./make-postgres-client"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const connect = async pool => {
  const log = (0, _getLog.getLog)('connect');
  log.debug('configuring postgres client');
  const oldConnection = pool.connection;

  if (oldConnection !== undefined) {
    pool.connection = undefined;

    try {
      oldConnection.end(err => {
        if (err) log.error(`Error during disconnection before reconnection: ${err}`);
      });
    } catch (err) {
      log.error(`Unexpected exception from client.end with callback! ${err}`);
    }
  }

  const connection = (0, _makePostgresClient.default)(pool);
  await connection.connect();
  pool.connection = connection;
  log.debug('connection to postgres database established');
  return pool.connection;
};

var _default = connect;
exports.default = _default;
//# sourceMappingURL=connect.js.map