"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getLog = require("./get-log");

const MAX_DISCONNECT_TIME = 10000;

const dispose = async ({
  connection
}) => {
  if (connection != null) {
    const log = (0, _getLog.getLog)('dispose');
    let timeout = null;

    try {
      await Promise.race([new Promise(resolve => {
        timeout = setTimeout(resolve, MAX_DISCONNECT_TIME);
      }), connection.end()]);
    } catch (err) {
      log.error(err);
    } finally {
      if (timeout != null) {
        clearTimeout(timeout);
      }
    }
  }
};

var _default = dispose;
exports.default = _default;
//# sourceMappingURL=dispose.js.map